/* ************************************************************************

   Copyright: 2010 by Michael Olbrich <m.olbrich@pengutronix.de>

   License:
     To the extent possible under law, Pengutronix e.K. has
     waived all copyright and related or neighboring rights to
     JSON-DBus-Bridge Demo Code.

************************************************************************ */

qx.Theme.define("calculator.theme.Appearance",
{
  extend : qx.theme.modern.Appearance,

  appearances :
  {
    "calc-button": {
      include: "button",
      alias: "button",
      style: function(states) {
        return {
          font: "large"
        };
      }
    },
    "calc-edit": {
      include: "textfield",
      alias: "textfield",
      style: function(states) {
        return {
          font: "large",
          textAlign: "right"
        };
      }
    }
  }
});
